KDE 4.7 PyKDE API Reference

- KDE's Python API

# KSslKey Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

## Enumerations
Algorithm | { Rsa, Dsa, Dh }
KeySecrecy | { PublicKey, PrivateKey }
## Methods
| __init__ (self)
| __init__ (self, KSslKey other)
| __init__ (self, QSslKey sslKey)
KSslKey.Algorithm | algorithm (self)
bool | isExportable (self)
KSslKey.KeySecrecy | secrecy (self)
QByteArray | toDer (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KSslKey | other
| ) |  |  |

__init__ | ( | self, |
|  | QSslKey | sslKey
| ) |  |  |

KSslKey.Algorithm algorithm | ( |  | self ) |

bool isExportable | ( |  | self ) |

KSslKey.KeySecrecy secrecy | ( |  | self ) |

QByteArray toDer | ( |  | self ) |

## Enumeration Documentation

Algorithm

Enumerator:

  Rsa = 0 |
  Dsa |
  Dh |

KeySecrecy

Enumerator:

  PublicKey |
  PrivateKey |